Skip to main content
GET
/
v1
/
affiliation_products
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/affiliation_products/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/affiliation_products/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/affiliation_products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fb6b1cf0-c5a6-481a-9fa8-7fe6465f5cbb",
  "object": "affiliation_product",
  "affiliation": "70b47917-7d56-4fc8-814c-c01da1133e37",
  "product": "279eb1e8-5c61-4d7c-b8d8-1c8a8e4fedb7",
  "commission_structure": "6ace1712-a331-4430-bcb9-c7d0b4074dde",
  "created_at": 1782485802,
  "updated_at": 1782485802
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

affiliation

Expandable – The associated affiliation ID.

commission_structure

Expandable – The associated commission structure ID.

product

Expandable – The associated product ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.